{{- if .Values.mongoexpress.ingress.enabled -}}
{{- $fullName := include "fiware-orion.mongoexpress.fullname" . -}}
{{- $svcPort := .Values.mongoexpress.service.port -}}
{{- if semverCompare ">=1.21" .Capabilities.KubeVersion.GitVersion -}}
apiVersion: networking.k8s.io/v1
{{- else -}}
apiVersion: extensions/v1beta1
{{- end }}
kind: Ingress
metadata:
  name: {{ $fullName }}
  labels:
    {{- include "fiware-orion.mongoexpress.labels" . | nindent 4 }}
  {{- with .Values.mongoexpress.ingress.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
{{- if .Values.mongoexpress.ingress.tls }}
  tls:
  {{- range .Values.mongoexpress.ingress.tls }}
    - hosts:
      {{- range .hosts }}
        - {{ . | quote }}
      {{- end }}
      secretName: {{ .secretName }}
  {{- end }}
{{- end }}
  rules:
  {{- range .Values.mongoexpress.ingress.hosts }}
    - host: {{ .host | quote }}
      http:
        paths:
        {{- range .paths }}
          - path: {{ . }}
            pathType: ImplementationSpecific
            backend:
              service:
                name: {{ $fullName }}
                port:
                  number: {{ $svcPort }}
        {{- end }}
  {{- end }}
{{- end }}
